%define version 3.2.4
%define tarname CherryPy-%{version}
%{!?python_version: %global python_version %(%{__python} -c "import sys ; print sys.version[:3]")}
%{!?python3_version: %global python3_version %(%{__python3} -c "import sys; sys.stdout.write(sys.version[:3])")}
	
Summary:        A Python-based framework for web application development
Name:           python-cherrypy
Version:        %version
Release:        %mkrel 3
License:        BSD
Group:          Development/Python
URL:            http://www.cherrypy.org
Source0:        https://pypi.python.org/packages/source/C/CherryPy/CherryPy-%{version}.tar.gz
# Don't ship the tests or tutorials in the python module directroy,
# tutorial will be shipped as doc instead
Patch0:         python-cherrypy-tutorial-doc.patch
Patch1:         cherrypy-unittest.patch
BuildRequires:	pkgconfig(python)
BuildRequires:  fdupes
BuildRequires:  python-setuptools
BuildRequires:  python-nose
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
A Python-based framework for web application development.

CherryPy allows you to write and easyly deploy web applications, thanks
to a bundled webserver. It features a automated way to map an url to a
mathod, allowing you to describe your site as a python class.

%package -n python3-cherrypy
Summary:	A Python3-based framework for web application development
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools

%description -n python3-cherrypy
A Python3-based framework for web application development.

CherryPy allows you to write and easyly deploy web applications, thanks
to a bundled webserver. It features a automated way to map an url to a
mathod, allowing you to describe your site as a python class.

%package docs
Summary:        Documentation for %{name}
Group:          Documentation
BuildArch:      noarch
%description docs
This package provides the documentation for %{name}.

%prep
%setup -q -n %tarname
%patch0 -p1
%patch1 -p1
cp -a . %{py3dir} 

%build
%{__python} setup.py build
cat > tutorial.conf << EOF
[server]
socketPort = 8080
threadPool = 10

[session]
storageType=ram
EOF

pushd %{py3dir} 
%{__python3} setup.py build
popd

%install
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
mv %{buildroot}%{_bindir}/cherryd %{buildroot}%{_bindir}/cherryd-%{python3_version}
popd

%{__python} setup.py install --skip-build --root %{buildroot} 

%fdupes $RPM_BUILD_ROOT%{python_sitelib}
%fdupes $RPM_BUILD_ROOT%{python3_sitelib}

%check
cd cherrypy/test
# These two tests hang in the buildsystem so we have to disable them.
# The third fails in cherrypy 3.2.4.
PYTHONPATH='../../' %{_bindir}/nosetests-%{python_version} -s ./ -e 'test_SIGTERM' -e \
  'test_SIGHUP_tty' -e 'test_file_stream'


%files
%doc README.txt
%{_bindir}/cherryd
%{python_sitelib}/*

%files docs
%doc cherrypy/tutorial

%files -n python3-cherrypy
%doc README.txt
%{_bindir}/cherryd-%{python3_version}
%{python3_sitelib}/*



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 3.2.4-3.mga4
+ Revision: 543209
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 3.2.4-2.mga4
+ Revision: 498235
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Aug 08 2013 philippem <philippem> 3.2.4-1.mga4
+ Revision: 464789
- Update to 3.2.4, add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 3.2.2-2.mga3
+ Revision: 378557
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 17 2011 philippem <philippem> 3.2.2-1.mga2
+ Revision: 168443
- Update to 3.2.2

  + kharec <kharec>
    - Increment rel for fix the summary in mageia-app-db (typo)
    - fix typo
    - new version 3.2.1
    - fix doc's packaging

* Mon Mar 28 2011 philippem <philippem> 3.2.0-1.mga1
+ Revision: 78275
- imported package python-cherrypy


* Mon Mar 28 2011 Philippe Makowski <makowski.mageia@gmail.com> 3.2.0-1mga1
- New upstream release

* Sun Jan 10 2010 Guillaume Rousse <guillomovitch@mandriva.org> 3.1.2-1mdv2010.1
+ Revision: 489397
- new version

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 3.1.1-2mdv2010.0
+ Revision: 442058
- rebuild

* Sun Jan 04 2009 Jérôme Soyer <saispo@mandriva.org> 3.1.1-1mdv2009.1
+ Revision: 324269
- New upstream release

* Thu Sep 04 2008 Jérôme Soyer <saispo@mandriva.org> 3.1.0-1mdv2009.0
+ Revision: 280549
- New release

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 2.2.1-3mdv2009.0
+ Revision: 242389
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Jul 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.2.1-1mdv2008.0
+ Revision: 52594
- update to new version 2.2.1


* Wed Dec 20 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.1.1-2mdv2007.0
+ Revision: 100512
- Rebuild against new python

  + Michael Scherer <misc@mandriva.org>
    - Import python-cherrypy

* Tue Apr 11 2006 Michael Scherer <misc@mandriva.org> 2.1.1-1mdk
- New release 2.1.1

* Wed Jan 11 2006 Michael Scherer <misc@mandriva.org> 2.1.0-2mdk
- Use new python macro

* Fri Dec 09 2005 Michael Scherer <misc@mandriva.org> 2.1.0-1mdk
- New release 2.1.0
- use mkrel

* Mon Dec 06 2004 Michael Scherer <misc@mandrake.org> 2.0-0.0a1.1mdk 
- initial package for Mandrakelinux

